get system info.md
Get System Info
Channels API · system
GET /ui/connectors/channels-api/latest/system/
Get device identity: software version, serial number, hardware model.
Example request
curl -X GET "/ui/connectors/channels-api/latest/system/"
Responses
200 — Successful Response
data· object · Required — Device identity fields.softwareVersion· object · Optional- One of the following variants:
- string (string)
- null (null)
- One of the following variants:
softwareName· object · Optional- One of the following variants:
- string (string)
- null (null)
- One of the following variants:
serialNumber· object · Optional- One of the following variants:
- string (string)
- null (null)
- One of the following variants:
hardwareModel· object · Optional- One of the following variants:
- string (string)
- null (null)
- One of the following variants:
Example:
{
"data": {
"softwareVersion": "string",
"softwareName": "string",
"serialNumber": "string",
"hardwareModel": "string"
}
}
Source spec: channels-api · operationId: get_system_info_system__get